@charset "utf-8";

/* 共通 */
html{
  font-size: 16px;
}

body{
  width: 100vw;
  height: 100vh;
  overflow: hidden;
}

.font{
  font-family: "Bebas Neue", sans-serif;
  font-weight: 400;
  font-style: normal;
}

li{
  list-style-type: none;
}


.gradient{
  position: absolute;
  top: 30%;
  left: -10%;
  width: 50vw;
  height: 50vw;
  border-radius: 50%;
  background-image: radial-gradient(#f98323, #e4cc45 47%, #ff4e50);
  filter: blur(80px);
  animation: move-gradient 8s infinite alternate ease-in-out;
}

@keyframes move-gradient {
  0%   { transform: translate(-10%, 0) scale(.9); }
  25%  { transform: translate(0%, 20%) scale(1.0); }
  50%  { transform: translate(10%, 0) scale(.8); }
  75%  { transform: translate(0%, -10%) scale(1.1); }
  100% { transform: translate(-10%, 0) scale(.9); }
}

.wrapper{
  width: 90%;
  /* max-width: 1200px; */
  margin: 0 auto;
}



/* ヘッダー */
.burger-btn{
  display: none;
}

.burger-area{
  display: none;
}


/* ファーストビュー */
.fv{
  position: relative;
  width: 40%;
  height: 100vh;
}

.fv h1{
  position: absolute;
  top: 50%;
  left: 5%;
  transform: translateY(-50%);
  font-size: clamp(7rem, 11vw, 10rem);
}

.fv p{
  line-height: 8rem;
}

.fv p:nth-child(2){
  padding-left: 3ch;
}

.fv span{
  display: block;
  line-height: 14rem;
}



/* ワークス */
main{
  display: flex;
  justify-content: center;
}

.works{
  width: 60%;
}

.works ul{
  display: grid;
  grid-template-columns: repeat(2,1fr);
  gap: 20px;
  padding: 30px 0;
  height: 100vh;
}

.works li{
  /* aspect-ratio: 16 / 9; */
  width: 100%;
  border: 1px solid #333;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  overflow: hidden;
  position: relative;
}

.works li:first-of-type {
  grid-column: 1/3;
}

.works-img{
  width: 100%;
  height: 100%;
  background-position: center top;
  background-size: cover;
}

.img-1{
  background-image: url(../img/recurrent-dentalclinic.png);
}

.img-2{
  background-image: url(../img/recurrent-sweets.png);
}

.img-3{
  background-image: url(../img/BIGSAVER.png);
}

.img-4{
  background-image: url(../img/portfolio.png);
}

.img-5 {
  background-image: url(../img/rcl.png);
}

.works-text{
  font-size: 14px;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding: 10px;
  background-color: #f4f4f4;
  transform: translateY(100%);
  transition: all .5s;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.works-text a{
  display: block;
  color: red;
  position: relative;
  width: fit-content;
  margin: 0 auto;
  font-size: 20px;
  padding-bottom: 10px;
}

.works-text a::before{
  content: '';
  width: 0%;
  height: 2px;
  position: absolute;
  bottom: 0;
  background-color: red;
  transition: all .3s;
}

.works-text a:hover:before{
  width: 100%;
}

.works li:hover .works-text{
  transform: translateY(0);
}


/*------------------- スマフォサイズ -------------------------*/
@media (max-width: 767px){
  body{
    overflow: visible;
    height: auto;
  }

  .gradient{
    width: 90vw;
    height: 90vw;
  }

  /* バーガーボタン */
  .burger-area{
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    width: 100%;
    background-color: #f4f4f4;
    transform: translateX(100%);
    transition: all .5s;
    z-index: 5;
  }
  
  .burger-area.is-open{
    transform: translateX(0);
  }
  
  .burger-btn{
    display: block;
    position: fixed;
    top: 20px;
    right: 3%;
    width: 80px;
    height: 80px;
    border-radius: 50%;
    cursor: pointer;
    transition: all .5s;
    z-index: 10;
  }
  
  .burger-btn:hover{
    background-color: #f4f4f4;
  }
  
  .burger-btn span{
    width: 70%;
    height: 2px;
    background-color: #333;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
  }
  
  .burger-btn span::before,
  .burger-btn span::after{
    content: '';
    width: 100%;
    height: 2px;
    background-color: #333;
    position: absolute;
    transition: all .5s;
  }
  
  .burger-btn span::before{
    top: -15px;
  }
  
  .burger-btn span::after{
    top: 15px;
  }
  
  .is-open span{
    background-color: transparent;
  }
  
  .is-open span::before{
    top: 0;
    transform: rotate(45deg);
  }
  
  .is-open span::after{
    top: 0;
    transform: rotate(-45deg);
  }
  
  .burger-menu{
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  .burger-menu li{
    margin: 50px 0;
    padding-bottom: 25px;
    border-bottom: 1px solid #000;
  }
  
  .burger-menu li:nth-child(5){
    border-bottom: none;
  }
  
  .burger-menu a{
    font-size: 32px;
  }

  .burger-menu li:first-of-type a {
    font-size: 24px;
  }

  main{
    display: flex;
    flex-direction: column;
  }

  .works{
    width: 100%;
  }

  .works ul{
    display: flex;
    flex-direction: column;
    margin-right: 0;
    height: auto;
  }

  .works li{
    overflow: visible;
    height: auto;
    border: none;
  }

  .works li+li{
    margin-top: 100px;
  } 
  
  .works-img{
    aspect-ratio: 16 / 9;
    object-fit: contain;
  }

  .works-text{
    position: static;
    transform: none;
  }
}